#FROM mono:slim
FROM frolvlad/alpine-mono:latest

ENV TSHOCK_VERSION=latest
#RUN apt -y update && apt -y upgrade &&\
# apt install -y wget unzip
RUN apk update && apk upgrade &&\
 apk add curl

COPY ./start.sh /start
COPY ./install.sh /
RUN sh /install.sh
RUN rm /install.sh

VOLUME ["/world", "/config", "/logs", "/plugins"]
WORKDIR /tshock
EXPOSE 7777
ENTRYPOINT ["/start"]
